> ## Documentation Index
> Fetch the complete documentation index at: https://gcore.com/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# List functions

> Retrieve a list of functions in the specified namespace.
Includes function configuration and deployment status.



## OpenAPI

````yaml /api-reference/services_documented/cloud_api.yaml get /cloud/v1/faas/namespaces/{project_id}/{region_id}/{namespace_name}/functions
openapi: 3.1.0
info:
  title: Gcore OpenAPI – Cloud API
  description: >-
    This OpenAPI is an aggregated OpenAPI specification that unifies all Gcore
    products into a single file. It covers Cloud, CDN, DNS, WAAP, DDoS
    Protection, Object Storage, Streaming, and FastEdge services.
  version: '2026-05-14T07:00:22.640261+00:00'
servers:
  - url: https://api.gcore.com
security:
  - APIKey: []
tags:
  - name: Bare Metal
    x-displayName: Bare Metal
  - name: Container as a Service
    x-displayName: Container as a Service
  - name: Cost Reports
    x-displayName: Cost Reports
  - name: DDoS Protection
    x-displayName: DDoS Protection
  - name: Everywhere Inference
    x-displayName: Everywhere Inference
  - name: Everywhere Inference Apps
    x-displayName: Everywhere Inference Apps
  - name: File Shares
    x-displayName: File Shares
  - name: Floating IPs
    x-displayName: Floating IPs
  - name: Function as a Service
    x-displayName: Function as a Service
  - name: GPU Bare Metal
    x-displayName: GPU Bare Metal
  - name: GPU Virtual
    x-displayName: GPU Virtual
  - name: IP Ranges
    x-displayName: IP Ranges
  - name: Images
    x-displayName: Images
  - name: Instances
    x-displayName: Instances
  - name: Load Balancers
    x-displayName: Load Balancers
  - name: Logging
    x-displayName: Logging
  - name: Managed Kubernetes
    x-displayName: Managed Kubernetes
  - name: Managed PostgreSQL
    x-displayName: Managed PostgreSQL
  - name: Networks
    x-displayName: Networks
  - name: Placement Groups
    x-displayName: Placement Groups
  - name: Projects
    x-displayName: Projects
  - name: Quotas
    x-displayName: Quotas
  - name: Regions
    x-displayName: Regions
  - name: Registry
    x-displayName: Registry
  - name: Reservations
    x-displayName: Reservations
  - name: Reserved IPs
    x-displayName: Reserved IPs
  - name: Routers
    x-displayName: Routers
  - name: SSH Keys
    x-displayName: SSH Keys
  - name: Secrets
    x-displayName: Secrets
  - name: Security Groups
    x-displayName: Security Groups
  - name: Snapshot Schedules
    x-displayName: Snapshot Schedules
  - name: Snapshots
    x-displayName: Snapshots
  - name: Tasks
    x-displayName: Tasks
  - name: User Actions
    x-displayName: User Actions
  - name: User Role Assignments
    x-displayName: User Role Assignments
  - name: Volumes
    x-displayName: Volumes
paths:
  /cloud/v1/faas/namespaces/{project_id}/{region_id}/{namespace_name}/functions:
    get:
      tags:
        - Function as a Service
      summary: List functions
      description: |-
        Retrieve a list of functions in the specified namespace.
        Includes function configuration and deployment status.
      operationId: FunctionsHandler.get
      parameters:
        - in: path
          name: project_id
          required: true
          description: Project ID
          schema:
            description: Project ID
            example: 1
            examples:
              - 1
            title: Project Id
            type: integer
        - in: path
          name: region_id
          required: true
          description: Region ID
          schema:
            description: Region ID
            example: 1
            examples:
              - 1
            title: Region Id
            type: integer
        - in: path
          name: namespace_name
          required: true
          description: Namespace name
          schema:
            description: Namespace name
            example: namespace-name
            examples:
              - namespace-name
            pattern: ^[a-z][-a-z0-9]{0,24}[a-z0-9]$
            title: Namespace Name
            type: string
        - in: query
          name: limit
          required: false
          description: Optional. Limit the number of returned items
          schema:
            default: 1000
            description: Optional. Limit the number of returned items
            example: 1000
            examples:
              - 1000
            exclusiveMinimum: 0
            maximum: 1000
            title: Limit
            type: integer
        - in: query
          name: offset
          required: false
          description: >-
            Optional. Offset value is used to exclude the first set of records
            from the result
          schema:
            default: 0
            description: >-
              Optional. Offset value is used to exclude the first set of records
              from the result
            example: 0
            examples:
              - 0
            minimum: 0
            title: Offset
            type: integer
        - in: query
          name: order_by
          required: false
          description: Ordering fields and directions.
          schema:
            $ref: '#/components/schemas/FunctionsOrderByChoices'
            default: created_at.desc
            description: Ordering fields and directions.
            examples:
              - created_at.desc
        - in: query
          name: search
          required: false
          description: Search through which value
          schema:
            description: Search through which value
            example: search-value
            examples:
              - search-value
            pattern: ^[-a-z0-9]{0,25}[-a-z0-9]$
            title: Search
            type: string
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/FunctionListSerializer'
components:
  schemas:
    FunctionsOrderByChoices:
      enum:
        - created_at.asc
        - created_at.desc
        - name.asc
        - name.desc
      title: FunctionsOrderByChoices
      type: string
    FunctionListSerializer:
      properties:
        count:
          description: Number of objects
          example: 1
          examples:
            - 1
          minimum: 0
          title: Count
          type: integer
        results:
          description: Objects
          items:
            $ref: '#/components/schemas/FunctionSerializer'
          title: Results
          type: array
      required:
        - count
        - results
      title: FunctionListSerializer
      type: object
    FunctionSerializer:
      properties:
        autoscaling:
          $ref: '#/components/schemas/FaasAutoscalingSerializer'
          description: >-
            Autoscaling configuration for the function. Keys must be
            'min_instances' or 'max_instances', and values must be integers
            between 0 and 50.
          examples:
            - max_instances: 2
              min_instances: 1
        build_message:
          description: Function build message.
          example: Building
          examples:
            - Building
          title: Build Message
          type: string
        build_status:
          description: Function build status.
          example: Building
          examples:
            - Building
          title: Build Status
          type: string
        code_text:
          description: Function code text.
          example: |-
            def main():
                return 'Hello World'
          examples:
            - |-
              def main():
                  return 'Hello World'
          maxLength: 100000
          minLength: 1
          title: Code Text
          type: string
        created_at:
          description: Function creation date.
          example: '2023-08-22T11:21:00Z'
          examples:
            - '2023-08-22T11:21:00Z'
          title: Created At
          type: string
        dependencies:
          description: Dependencies for the function to install.
          example: |-
            numpy==1.21.0
            pandas==1.3.0
          examples:
            - |-
              numpy==1.21.0
              pandas==1.3.0
          maxLength: 100000
          title: Dependencies
          type: string
        deploy_status:
          additionalProperties:
            type: integer
          description: Function deploy status.
          example:
            deployed: 1
          examples:
            - deployed: 1
          title: Deploy Status
          type: object
        description:
          description: Description of the function.
          example: This is a sample function.
          examples:
            - This is a sample function.
          maxLength: 255
          minLength: 0
          title: Description
          type: string
        enable_api_key:
          anyOf:
            - type: boolean
            - type: 'null'
          default: null
          description: Enable or disable API key authentication.
          examples:
            - true
          title: Enable Api Key
        endpoint:
          description: Function endpoint.
          example: https://example.com/function-name
          examples:
            - https://example.com/function-name
          title: Endpoint
          type: string
        envs:
          anyOf:
            - patternProperties:
                ^[a-zA-Z_][a-zA-Z0-9_]*$:
                  maxLength: 255
                  minLength: 0
                  type: string
              propertyNames:
                maxLength: 255
                minLength: 1
              type: object
            - type: 'null'
          default: null
          description: >-
            Environment variables for the function. Keys must match a specific
            regex pattern and be 1-255 characters long, and values must be 0-255
            characters long.
          examples:
            - ENV_VAR: value
          title: Envs
        flavor:
          description: The name of the flavor associated with the function.
          example: 64m-64MB
          examples:
            - 64m-64MB
          title: Flavor
          type: string
        id:
          description: Function ID.
          example: c8a920ad-b5a4-47d5-b8b9-0e6c35cd800f
          examples:
            - c8a920ad-b5a4-47d5-b8b9-0e6c35cd800f
          title: Id
          type: string
        main_method:
          description: The main startup method name.
          example: run
          examples:
            - run
          maxLength: 100
          minLength: 1
          title: Main Method
          type: string
        name:
          description: Function name.
          example: function-name
          examples:
            - function-name
          pattern: ^[a-z][-a-z0-9]{0,24}[a-z0-9]$
          title: Name
          type: string
        runtime:
          description: Function runtime.
          example: python3.7.12
          examples:
            - python3.7.12
          title: Runtime
          type: string
        status:
          description: Function status.
          example: Running
          examples:
            - Running
          title: Status
          type: string
        timeout:
          description: Function timeout in seconds.
          example: 5
          examples:
            - 5
          maximum: 180
          minimum: 0
          title: Timeout
          type: integer
      required:
        - id
        - name
        - runtime
        - timeout
        - flavor
        - autoscaling
        - code_text
        - main_method
        - endpoint
        - build_status
        - build_message
        - status
        - created_at
        - deploy_status
        - dependencies
        - description
      title: FunctionSerializer
      type: object
    FaasAutoscalingSerializer:
      properties:
        max_instances:
          description: The maximum number of instances to run.
          example: 5
          examples:
            - 5
          maximum: 50
          minimum: 1
          title: Max Instances
          type: integer
        min_instances:
          description: The minimum number of instances to run.
          example: 1
          examples:
            - 1
          maximum: 50
          minimum: 0
          title: Min Instances
          type: integer
      required:
        - min_instances
        - max_instances
      title: FaasAutoscalingSerializer
      type: object
  securitySchemes:
    APIKey:
      description: >-
        API key for authentication. Make sure to include the word `apikey`,
        followed by a single space and then your token.

        Example: `apikey 1234$abcdef`
      type: apiKey
      in: header
      name: Authorization

````